<?php

namespace Drupal\beehotel_pricealterator;

use Drupal\Core\Session\AccountInterface;




/**
 * Class Alter
 * @package Drupal\beehotel_pricealterator\Services
 */
class Alter {

  protected $currentUser;

  /**
   * PriceAlteratorBaseTable constructor.
   * @param AccountInterface $currentUser
   */
  public function __construct(AccountInterface $currentUser) {
    $this->currentUser = $currentUser;
  }



  public function Alter($data)  {


    //dump ("data all'inioip della elaborazione");
    //dump ($data);


    // 1. Get content

      // 1a. Base Table with base price
      $basetable = \Drupal::service('beehotel_pricealterator.basetable')->BaseTable();
      //dump ($basetable);

      // 1b. Normalise data
      $data = $this->Normalise($data);

      // 1c. Validate data
      $data = $this->Validate($data);

      // 1d. Available Alterators see......
      $pricealterator = \Drupal::service('plugin.manager.beehotel.pricealterator');
      $alterators = $pricealterator->SortedAlterators();

      dump ("Ho trovato questi alterators");
      dump ($alterators);
//       exit;


    /** 2. loop per night
    * Drupal Commerce calls Resolver once per order item (not once per night)
    * We loop nights here, providing an average price to be multiuplied by items (nights)
    * @TODO: keep track of evety night price into \$data
    */

    for ($n = 0; $n < $data['nights_as_integer']; $n++)  {

      $data['tmp'] = NULL;
      //$one_night_data = $data;
      $data['tmp']['night_timestamp'] = $data['checkin_timestamp'] + (24*3600 * $n);
      $data['tmp']['night_date'] = date('Y-m-d',  $one_night_data['night_timestamp'] );

      //dump ("elaboriamo la notte:" . $one_night_data['night_date'] );
      //$price[] = bbs_one_night_price($one_night_data );

      foreach ($alterators as $a) {

        // Prepare next alteraror
        $alterator = new $a['class']([],[],[],[]);


        dump ("data pre alterator" );
        dump ($alterator);
        dump ($data);

        // 3. get price for every night
        //$data['tmp']['price'] = NULL;
        $data = $alterator->alter($data, $basetable);
        dump ("data aggiornata (come tmp)");
        dump ($data);
        //exit;

        if (isset($data['tmp']['price'])) {
          $price[] = $data['tmp']['price'];
        }
      }

    }

    //     dump ("array price");
    //     dump ($price);
    //     exit;
    // 4. calculate average price
    $price = array_filter($price);
    if(count($price)) {
      $average = array_sum($price)/count($price);
    }

    // 5. return average price
    return $average;

    dump (__FILE__) ;exit;
    return $data;

  }


  private function Validate($data)  {

    if ($data['adults'] < 1 && $data['adults'] > 3  )  {
      die ("ERR 34wfr: check occupancy");
    }


    return $data;

  }

  private function Normalise($data) {

    $data['checkin_timestamp'] = strtotime($data['checkin']);
    $data['checkout_timestamp'] = strtotime($data['checkout']);
    $data['nights'] = ($data['checkout_timestamp'] -  $data['checkin_timestamp'])/86400 ; //1 day = 86400
    $data['nights_as_integer'] = number_format($data['nights']);
    $data['checkin_timestamp'] = strtotime($data['checkin']);
    $data['day_of_the_week'] = date("N", $data['checkin_timestamp']); // 0 = Monday

    $tmp = $data['entity']->get('sku')->value;
    $data['id_room'] = strtoupper($tmp[0].$tmp[1]);




    //dump ("normalised");
    //dump ($data);
    //exit;

    return $data;

  }


}
